import React, { useEffect } from "react";
import ActiveTabs from "./ActiveTable";
import { useButtonState } from "../../../zustand/ButtonState";
// import useSetPageTitle from "../../../Hooks/useSetPageTitle";
import { useTranslation } from "react-i18next";
// import { ABILITIES_ENUM } from "../../../enums/abilities";

const Page = () => {
  const { setActiveTab } = useButtonState((state) => state);
  useEffect(() => {
    setActiveTab(0);
  }, []);
  const [t] = useTranslation();
  // useSetPageTitle(
  //   `${t(ABILITIES_ENUM?.MAIN_PAGE)}   / ${t(`models.${ABILITIES_ENUM.COURSE}`)}  / ${t(`models.${ABILITIES_ENUM.EDUCATION_CLASS}`)}  / ${t(`models.${ABILITIES_ENUM.SUBJECT}`)}`,
  // );

  return (
    <div className="subject page">
      {/* <FillterNavWithRadio/> */}

      <ActiveTabs />
    </div>
  );
};

export default Page;
